List Partners
curl --request GET \
--url https://bptest.mapleai.cc/api/ecosystem/partners \
--header 'Authorization: Bearer <token>'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/partners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bptest.mapleai.cc/api/ecosystem/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"name": "<string>",
"category": "compliance",
"service_type": "legal",
"contact_person": "<string>",
"cooperation_start_date": "2023-12-25",
"id": "<string>",
"tenant_id": "<string>",
"total_revenue": 1,
"total_profit": 1,
"service_count": 1,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"last_active_date": "2023-12-25",
"status": "active",
"created_by": "<string>",
"updated_by": "<string>",
"category_label": "<string>",
"service_type_label": "<string>",
"status_label": "<string>",
"service_records": [
{
"partner_id": "<string>",
"project_name": "<string>",
"company_name": "<string>",
"service_type": "legal",
"service_detail": "<string>",
"service_date": "2023-12-25",
"service_amount": 1,
"profit_share": 1,
"id": "<string>",
"tenant_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connect_request_id": "<string>",
"project_id": "<string>",
"profit_rate": "0.1500",
"status": "in_progress",
"notes": "<string>",
"status_label": "<string>",
"service_type_label": "<string>",
"partner_name": "<string>"
}
]
}
],
"total": 1,
"code": 0,
"message": "操作成功",
"timestamp": 123,
"page": 2,
"page_size": 2,
"total_pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}生态资源 / Ecosystem
List Partners
GET
/
api
/
ecosystem
/
partners
List Partners
curl --request GET \
--url https://bptest.mapleai.cc/api/ecosystem/partners \
--header 'Authorization: Bearer <token>'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/partners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bptest.mapleai.cc/api/ecosystem/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"name": "<string>",
"category": "compliance",
"service_type": "legal",
"contact_person": "<string>",
"cooperation_start_date": "2023-12-25",
"id": "<string>",
"tenant_id": "<string>",
"total_revenue": 1,
"total_profit": 1,
"service_count": 1,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"last_active_date": "2023-12-25",
"status": "active",
"created_by": "<string>",
"updated_by": "<string>",
"category_label": "<string>",
"service_type_label": "<string>",
"status_label": "<string>",
"service_records": [
{
"partner_id": "<string>",
"project_name": "<string>",
"company_name": "<string>",
"service_type": "legal",
"service_detail": "<string>",
"service_date": "2023-12-25",
"service_amount": 1,
"profit_share": 1,
"id": "<string>",
"tenant_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connect_request_id": "<string>",
"project_id": "<string>",
"profit_rate": "0.1500",
"status": "in_progress",
"notes": "<string>",
"status_label": "<string>",
"service_type_label": "<string>",
"partner_name": "<string>"
}
]
}
],
"total": 1,
"code": 0,
"message": "操作成功",
"timestamp": 123,
"page": 2,
"page_size": 2,
"total_pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Query Parameters
Response
Successful Response